{% extends 'base.html' %}
{% block content %}
<a  href="{% url 'profile_page' %}"> Profile Page</a> /
<p> </p>
<a  href="{% url 'rate' %}"> Rate Item</a> /
<a  href="{% url 'comment' %}"> Comment Item</a> /
<a  href="{% url 'get_rating' %}"> Get Rate of Item</a> /
<a  href="{% url 'get_comments' %}"> Get Comments of Item</a> /
<br>
<a  href="{% url 'get_view_info' %}"> Get View Information of Item</a> /
<a  href="{% url 'get_detail_info' %}"> Get Detail Information of Item</a> /
<br>
<a  href="{% url 'send_borrow_req' %}"> Send Borrow Request</a> /
<a  href="{% url 'change_states' %}"> Change Item States</a> /
<a  href="{% url 'give_item' %}"> Give Item</a> /
<a  href="{% url 'search_item' %}"> Search Item</a> /
<br>
<a  href="{% url 'announce_item' %}"> Announce Item</a> /
<a  href="{% url 'return_item' %}"> Return Item</a> /
<a  href="{% url 'delete_item' %}"> Delete Item</a> /

    <h2 style="color: blue"> Borrowed Item List: </h2>
        {% for item in borrowed_items %}
            <p>------------ Item id: {{item.id}} ------------</p>
            <p> owner : {{item.owner.email}}</p>
            <p> title : {{item.title}}</p>
            <p> artist : {{item.artist}}</p>
            <p> genre : {{item.genre}}</p>
            <p> year : {{item.year}}</p>
            <p> type : {{item.type}}</p>

        {% endfor %}

    <h2 style="color: blue"> Item List: </h2>
        {% for item in borrowReqList %}
            <p>------------ Item id: {{item.0.id}} ------------</p>
            <p> owner : {{item.0.owner.email}}</p>
            <p> title : {{item.0.title}}</p>
            <p> artist : {{item.0.artist}}</p>
            <p> genre : {{item.0.genre}}</p>
            <p> year : {{item.0.year}}</p>
            <p> type : {{item.0.type}}</p>

            <h4 style="color: black"> Borrow Requests: </h4>
            {% for borrowReq in item.1 %}
                <p>  {{borrowReq.email}}</p>
            {% endfor %}
        {% endfor %}
{% endblock %}